#
# spec file for package perl-Config-MVP
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Config-MVP
Name:           perl-Config-MVP
Version:        2.200012
Release:        bp154.1.17
Summary:        Multivalue-property package-oriented configuration
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Load) >= 0.17
BuildRequires:  perl(Module::Pluggable::Object)
BuildRequires:  perl(Moose) >= 0.91
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::OneArgNew)
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Role::HasMessage)
BuildRequires:  perl(Role::Identifiable::HasIdent)
BuildRequires:  perl(StackTrace::Auto)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Throwable)
BuildRequires:  perl(Tie::IxHash)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Class::Load) >= 0.17
Requires:       perl(Module::Pluggable::Object)
Requires:       perl(Moose) >= 0.91
Requires:       perl(Moose::Role)
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(MooseX::OneArgNew)
Requires:       perl(Params::Util)
Requires:       perl(Role::HasMessage)
Requires:       perl(Role::Identifiable::HasIdent)
Requires:       perl(StackTrace::Auto)
Requires:       perl(Test::More) >= 0.96
Requires:       perl(Throwable)
Requires:       perl(Tie::IxHash)
Requires:       perl(Try::Tiny)
%{perl_requires}

%description
MVP is a mechanism for loading configuration (or other information) for
libraries. It doesn't read a file or a database. It's a helper for things
that do.

The idea is that you end up with a Config::MVP::Sequence object, and that
you can use that object to fully configure your library or application. The
sequence will contain a bunch of Config::MVP::Section objects, each of
which is meant to provide configuration for a part of your program. Most of
these sections will be directly related to a Perl library that you'll use
as a plugin or helper. Each section will have a name, and every name in the
sequence will be unique.

This is a pretty abstract set of behaviors, so we'll provide some more
concrete examples that should help explain how things work.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Jan 10 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.200012
  see /usr/share/doc/packages/perl-Config-MVP/Changes
  2.200012  2021-01-09 19:51:18-05:00 America/New_York
  - don't try to array-dereference non-array references (thanks, Sven
    Kirmess)
* Sun Apr 22 2018 coolo@suse.com
- updated to 2.200011
  see /usr/share/doc/packages/perl-Config-MVP/Changes
  2.200011  2018-04-21 10:12:06+02:00 Europe/Oslo
  - cwd is now locally added to @INC during config reading (but this can
    be disabled by setting add_cwd_to_lib to false)
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.200010
  see /usr/share/doc/packages/perl-Config-MVP/Changes
  2.200010  2015-03-17 07:43:04-04:00 America/New_York
  - copypaste code!  apply section_name fix from Section to WithBundles
    (thanks, Karen Etheridge)
  2.200009  2015-03-07 17:18:10-05:00 America/New_York
  - module-loading exceptions now include a section_name attribute for
    the name of the section being assembled
* Mon Sep 15 2014 coolo@suse.com
- updated to 2.200008
  - fix a busted link
  - be more consistent in exception-throwing on missing packages
  - fix a dumb test that failed in a git checkout
* Mon Feb 24 2014 coolo@suse.com
- updated to 2.200007
  - throw an exception when a bundle reports an impossible situation,
    like { value => [] }; https://github.com/rjbs/Config-MVP/issues/5
* Fri Oct  4 2013 coolo@suse.com
- updated to 2.200006
  - fix repository data
  - removed use of deprecated Class::MOP::load_class (thanks, Karen
    Etheridge)
  - pass the arguments to missing_plugin in the right order
* Mon Jun  3 2013 coolo@suse.com
- updated to 2.200003
    doc fixes (Thanks, George Hartzell!)
    documentation fixes (Thanks, Gregor Herrmann of Debian!)
    depend on at least version 0.17 of Class::Load, to work around a bug
    with perl5.8.8 and Module::Runtime 0.012. (Karen Etheridge)
* Tue Apr  5 2011 coolo@novell.com
- updated to 2.200001
    when throwing "package not installed", add a "package" attribute to
    Error
    add Config::MVP::Error for common exceptions
    allow class loading and class-not-found handling to be subclassed
* Mon Jan 17 2011 coolo@novell.com
- initial package 2.101650
  * created by cpanspec 1.78.03
